Subject: I-D ACTION:draft-ouldbrahim-ppvpn-gvpn-bgpgmpls-02.txt

From: [email-masked]
Date: Fri, 20 Dec 2002 07:08:00 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: GVPN:Generalized Provider-provisioned Port-based VPNs 
                          using BGP and GMPLS
	Author(s)	: H. Ould-Brahim et al.
	Filename	: draft-ouldbrahim-ppvpn-gvpn-bgpgmpls-02.txt
	Pages		: 19
	Date		: 2002-12-18
	
Consider a service provider network that offers Provider-
provisioned Port-based Generalized VPN service (GVPN).  
The service is a Port-based VPN, where the basic unit of the 
service is a Label Switched Path (LSP) between a pair of 
customer's ports. The service is 'generalized' as the 
interfaces on the customer's ports and provider ports could be 
any of the interfaces supported by Generalized MPLS (GMPLS). 
An important goal of such service is the ability to support 
what is known as 'single end provisioning', where addition of a 
new port to a given VPN would involve configuration changes 
only on the devices connected to that port. Another important 
goal of such service is the ability to establish/terminate an 
LSP between a pair of (existing) customer's ports within a VPN 
without involving configuration changes in any of the provider 
devices.  
In this document we describe a set of mechanisms built around 
BGP as a VPN auto-discovery, and GMPLS as a signaling that 
accomplishes these goals.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ouldbrahim-ppvpn-gvpn-bgpgmpls-02.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ouldbrahim-ppvpn-gvpn-bgpgmpls-02.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ouldbrahim-ppvpn-gvpn-bgpgmpls-02.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.